<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl"
	xmlns:cdm="http://cdm-fr.fr/2006/CDM-frSchema"
	xsi:schemaLocation="http://cdm-fr.fr/2006/CDM-frSchema http://cdm-fr.fr/2006/schemas/CDM-fr.xsd">
	<!-- traitement par défaut : copie des éléments -->
	<xsl:template match="*" mode="custom">
		<xsl:element name="cdm:{name()}">
			<xsl:apply-templates select="@* | comment() | text()"
				mode="custom" />
			<xsl:apply-templates select="*" mode="custom" />
		</xsl:element>
	</xsl:template>
	<!-- traitement par défaut : copie des attributs et éléments txt et comment -->
	<xsl:template match="@* | comment() | text()" mode="custom">
		<xsl:copy>
			<xsl:apply-templates select="@* | comment() | text()"
				mode="custom" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="* | @* | text() | comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@* | comment() | text()" />
		</xsl:copy>
	</xsl:template>
	<!-- PRISE EN CHARGE DU TEMPLATE CUSTOM POINT D'ENTREE -->
	<!-- DEFINITION DU CONTENU DU RECORD OAI POUR LE PREFIXE CDM -->
	<xsl:template name="cdm_template">
		<cdm:CDM xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:cdm="http://cdm-fr.fr/2006/CDM-frSchema"
			xsi:schemaLocation="http://cdm-fr.fr/2006/CDM-frSchema http://cdm-fr.fr/2006/schemas/CDM-fr.xsd">
			<xsl:copy-of select="/CDM/@*" />
			<xsl:apply-templates select="/CDM/*" mode="custom" />
		</cdm:CDM>
	</xsl:template>

	<xsl:template match="extension" mode="custom" />
	<!-- TRAITEMENT URL -->
	<xsl:template name="url">
		<xsl:value-of select="$url" />
		/ws?_cmd=getFormation&amp;_oid=
		<xsl:value-of select="/CDM/program[1]/@id" />
		&amp;_oidProgramAnnexe=
		<xsl:value-of select="$oid" />
		&amp;_codAnu=
		<xsl:value-of select="$codAnu" />
		&amp;_redirect=voir_fiche_program&amp;_lang=fr-FR
	</xsl:template>
</xsl:stylesheet>